package com.xdocletbook.mock;

/**
 * @mock.generate
 */
public interface Automobile {
  public int getTankCapacity();
  public int getCurrentTankLevel();
  public void addOneGallon();
  
  public boolean isWindshieldClean();
  public void cleanWindshield();

  public void inflateFrontLeftTire();
  public void inflateFrontRightTire();
  public void inflateRearLeftTire();
  public void inflateRearRightTire();
  public boolean isFrontLeftTireInflated();
  public boolean isFrontRightTireInflated();
  public boolean isRearLeftTireInflated();
  public boolean isRearRightTireInflated();
  
  public float getRadioStation();
  public void setRadioStation(float station);
}
