package com.xdocletbook.mock;

public class FullServiceStation {
  public FullServiceStation() {
  }
  
  public void serviceAutomobile(Automobile auto) {
    int gallonsToPump = auto.getTankCapacity() -  
        auto.getCurrentTankLevel();
        
    for(int i=0; i<gallonsToPump; i++) {
      auto.addOneGallon();
    }
    
    auto.cleanWindshield();
    
    if(!auto.isFrontLeftTireInflated()) {
      auto.inflateFrontLeftTire();
    }
    
    if(!auto.isFrontRightTireInflated()) {
      auto.inflateFrontRightTire();
    }
    
    if(!auto.isRearLeftTireInflated()) {
      auto.inflateRearLeftTire();
    }
    
    if(!auto.isRearRightTireInflated()) {
      auto.inflateRearRightTire();
    }
    
    auto.setRadioStation(98.5F);
  }
}
