package com.xdocletbook.portlets;

import java.io.IOException;
import javax.portlet.GenericPortlet;
import javax.portlet.PortletException;
import javax.portlet.PortletRequestDispatcher;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

public class HelloWorldPortlet extends GenericPortlet {
  public void doView(RenderRequest request, RenderResponse response)
      throws PortletException, IOException {

    PortletRequestDispatcher dispatcher = 
        getPortletContext().getRequestDispatcher("hello.jsp");
    dispatcher.include(request, response);
  }
  
  public void doEdit(RenderRequest request, RenderResponse response)
      throws PortletException, IOException {

    response.getWriter().write("Hello World: Edit Mode");
  }

  public void doHelp(RenderRequest request, RenderResponse response)
      throws PortletException, IOException {

    PortletRequestDispatcher dispatcher = 
        getPortletContext().getRequestDispatcher("somejsp.jsp");
    dispatcher.include(request, response);
  }
}
