package com.xdocletbook.blog.servlet;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @web.servlet
 *     name="DisplayTopicCreate"
 * 
 * @web.servlet-init-param
 *     name="LogLevel"
 *     value="${LOG_LEVEL}"
 * 
 * @web.servlet-mapping
 *     url-pattern="/owner/displayTopicCreate"
 * 
 * @web.security-role
 *     role-name="${OwnerRole}"
 * 
 * @web.security-role-ref
 *     role-name="blogowner"
 *     role-link="${OwnerRole}"
 */
public class DisplayTopicCreateServlet extends HttpServlet {
  public void service(HttpServletRequest request,
      HttpServletResponse response)
      throws ServletException, IOException {

    request.getRequestDispatcher(
        "/jsp/createTopic.jsp").forward(request, response);
  }
}
