package com.xdocletbook.blog.form;

import java.io.Serializable;

import org.apache.struts.validator.ValidatorForm;

/**
 * @struts.form 
 *     name="blog.Create"
 */
public class BlogCreateForm extends ValidatorForm
    implements Serializable {
  private java.lang.String name;
  private java.lang.String owner;
  private java.lang.String email;

  public BlogCreateForm() {
  }

  public String getName() {
    return this.name;
  }

  /**
   * @struts.validator
   *     type="required"
   */
  public void setName(String name) {
    this.name = name;
  }

  public String getOwner() {
    return this.owner;
  }

  /**
   * @struts.validator
   *     type="required"
   */
  public void setOwner(String owner) {
    this.owner = owner;
  }

  public String getEmail() {
    return this.email;
  }

  /**
   * @struts.validator
   *     type="required,email"
   */
  public void setEmail(String email) {
    this.email = email;
  }
}
