package com.xdocletbook.blog.pojo;

import java.util.Collection;

import com.xdocletbook.blog.exception.ApplicationException;

/**
 */
public interface BlogFacade {
  public abstract Collection getAllBlogs()
    throws ApplicationException;
  public abstract Blog createBlog(
    String name,
    String owner,
    String email)
    throws ApplicationException;
  public abstract void deleteBlog(String blogId)
    throws ApplicationException;
  public abstract Collection getTopics(String blogId)
    throws ApplicationException;
}