package com.xdocletbook.jmx;
import javax.management.MBeanServer;
import javax.management.MBeanServerFactory;
import javax.management.ObjectName;
import com.sun.jdmk.comm.HtmlAdaptorServer;

public class MletAgent {
  public static void main(String[] args) throws Exception {
    MBeanServer server = 
        MBeanServerFactory.createMBeanServer("MletAgent");
    HtmlAdaptorServer htmlAdaptor = new HtmlAdaptorServer();
    htmlAdaptor.setPort(9092);
    
    ObjectName htmlName = 
        new ObjectName("MletAgent:name=HtmlAdaptor");
    ObjectName mletName = new ObjectName("MletAgent:name=mlet");

    server.registerMBean(htmlAdaptor, htmlName);
    server.createMBean("javax.management.loading.MLet", mletName);

    htmlAdaptor.start();
  }
}
