package com.xdocletbook.blog.struts.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * @struts.action
 *     path="/home"
 * 
 * @struts.action-forward
 *     name="success"
 *     path="jsp/home.jsp"
 */
public class HomeAction extends Action {
  public ActionForward execute(ActionMapping mapping, 
      ActionForm form, HttpServletRequest request, 
      HttpServletResponse response) throws Exception {

    return mapping.findForward("success");
  }
}
