<%@ taglib uri='/WEB-INF/tld/struts-template.tld' prefix='template' %>
<%@ taglib uri='/WEB-INF/tld/struts-logic.tld' prefix='logic' %>
<%@ taglib uri='/WEB-INF/tld/struts-bean.tld' prefix='bean' %>
<%@ taglib uri='/WEB-INF/tld/struts-html.tld' prefix='html' %>
<%@ taglib uri='/WEB-INF/blogtags.tld' prefix='blog' %>

<html>
  <head>
    <title><template:get name="title"/></title>
    <style>
      a.login {
        font-weight: bold;
        text-decoration: none;
        color:#FFFFFF;
      }

      a.blogLink {
        color:#FFFFCC;
        font-family:sans-serif;
        font-size:8pt;
        text-decoration: none;
      }

      span.menuHeader {
        color:#FFFFFF;
        font-family:sans-serif;
        font-size:9pt;
        font-weight:bold;
      }

      span.contentHeader {
        color:#666666;
        font-family:sans-serif;
        font-size:16pt;
        font-weight:bold;
      }

      span.contentText {
        color:#333333;
        font-family:sans-serif;
        font-size:10pt;
      }

      span.contentDetails {
        color:#999966;
        font-family:sans-serif;
        font-size:8pt;
      }
      
      span.entryTitle {
        color:#666666;
        font-family:sans-serif;
        font-size:14pt;
        font-weight:bold;
      }
    </style>
</head>

  <body bgcolor="#FFFFFF">
    <table width="700" cellspacing="1" cellpadding="2" border="0">
      <tr>
        <td bgcolor="#000000">
          <table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td align="left"><span style="color:#FFFFFF;font-weight:bold;font-family:sans-serif;font-size:10pt;"><html:link page="/do/home" style="text-decoration:none; color: #FFFFFF;">Blog-o-matic<sup>&trade;</sup></html:link></span></td>
<logic:notPresent name="BLOGUSER">
              <td align="right"><span style="color:#FFFFFF;font-family:sans-serif;font-size:8pt;">Blog owners::<html:link page="/do/loginForm" styleClass="login">Blog-in</html:link></td>
</logic:notPresent>
<logic:present name="BLOGUSER">
              <td align="right"><span style="color:#FFFFFF;font-family:sans-serif;font-size:8pt;">Blog owners::<html:link page="/do/logout">Blog-out</html:link> | <a href="#" class="login">New Entry</a></td>
</logic:present>

            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td bgcolor="#999999" colspan="2" align="right">
          <br>
          <span style="color:#000000;font-family:sans-serif;font-size:20pt;font-weight:bold;"><template:get name="title"/></span>
        </td>
      </tr>
    </table>
    <table width="700" cellspacing="1" cellpadding="2" border="0">
      <tr>
        <td align="left" bgcolor="#999966" width="150" valign="top">
          <!-- CALENDAR
          <center>
          <table width="90%" border="0" cellspacing="1" cellpadding="0">
            <tr>
              <td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">S</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">M</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">T</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">W</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">T</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">F</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">S</td>
            </tr><tr>
              <td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99"></td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99"></td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99"></td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99"></td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99"></td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99"></td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">1</td>
            </tr><tr>
              <td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">2</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">3</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">4</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">5</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">6</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">7</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">8</td>
            </tr><tr>
              <td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">9</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">10</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">11</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">12</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">13</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">14</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">15</td>
            </tr><tr>
              <td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">16</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">17</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">18</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">19</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">20</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">21</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">22</td>
            </tr><tr>
              <td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">23</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">24</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">25</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">26</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">27</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">28</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">29</td>
            </tr><tr>
              <td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">30</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99">31</td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99"></td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99"></td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99"></td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99"></td><td width="14%" align="center" style="font-family:sans-serif;font-size:8pt;" bgcolor="#CCCC99"></td>
            </tr>
          </table>
          </center>
          -->
          <br>
          <html:link page="/do/createBlogForm" styleClass="blogLink">Create a new blog</html:link>
          <br>
          <br>
          <span class="menuHeader">Blogs:</span><br>
          <logic:iterate id="blogValue" type="com.xdocletbook.blog.value.BlogSimpleValue" name="allBlogs">
            <html:link page="/do/listEntries?blogId=<%= blogValue.getId() %>" styleClass="blogLink"><bean:write name="blogValue" property="name"/></html:link><br>
          </logic:iterate>
          <br>
          <br>
          <br>
          <br>
          <br>
          <br>
          <br>
          <br>
          <br>
          <br>
          <br>
          <br>
          <br>
          <br>
          <br>
          <br>
          <br>
          <br>
          <br>
          <br>                   
          <br>&nbsp;                                        
        </td>
        <td align="left" width="600" valign="top">
          <span class="contentHeader"><template:get name="subtitle" /></span><br>
          <span class="contentText">
            <template:get name="content" />
          </span>
        </td>
      </tr>
    </tr>
  </body>
</html>
