package com.xdocletbook.blog.pojo;

import java.util.Collection;
import java.util.Iterator;


/**
 */
public class JDOTester {
  public static void main(String[] args) throws Exception {
    BlogFacadeCastor facade = BlogFacadeCastor.getInstance("d:/database.xml");
    
    Collection allBlogs = facade.getAllBlogs();
    for(Iterator iter = allBlogs.iterator(); iter.hasNext(); ) {
      Blog blog = (Blog) iter.next();
      System.out.println("BLOG:  " + blog.getName());
      
      Collection topics = blog.getTopics();
      Collection entries = blog.getEntries();

      for(Iterator iter2 = topics.iterator(); iter2.hasNext(); ) {
        Topic topic = (Topic) iter2.next();
        System.out.println("    TOPIC:  " + topic.getName());
        Collection topicEntries = topic.getEntries();
        for(Iterator iter3 = topicEntries.iterator(); iter3.hasNext(); ) {
          Entry entry = (Entry) iter3.next();
          System.out.println("          ENTRY:  "+entry.getTitle());
        }
      }
      
      for(Iterator iter4 = entries.iterator(); iter4.hasNext(); ) {
        Entry entry = (Entry) iter4.next();
        System.out.println("    ENTRY:  " + entry.getTitle());
        System.out.println("        TOPIC:  "+entry.getTopic().getName());
      }
    }
  }
}
