package com.xdocletbook.pig.client;

import javax.xml.namespace.QName;

import org.apache.axis.client.Call;
import org.apache.axis.client.Service;

public class PigLatinAxisClient {
  public static void main(String[] args) throws Exception {
    if(args.length < 1) {
      System.err.println("Usage: PigLatinClient word");
      System.exit(-1);
    }

    String endpoint = "http://localhost:8008/axis/services/PigLatin";
    Service service = new Service();
    Call call = (Call)service.createCall();
    call.setTargetEndpointAddress(new java.net.URL(endpoint));
    call.setOperationName(
        new QName("http://soapinterop.org/", "translate"));
    String ret = (String) call.invoke(new Object[] {args[0]});
    
    System.out.println("English:   " + args[0]);
    System.out.println("Pig-Speak: " + ret);
  }
}
