package com.xdocletbook.pig.service;

/**
 * @soap.service
 *     urn="PigLatin"
 *     scope="Request"
 *
 * @axis.service
 *     urn="PigLatin"
 *     scope="request"     
 */
public class PigLatinService {
  private String VOWELS = "AEIOUaeiou";
  
  /**
   * @soap.method
   * @axis.method
   */
  public String translate(String word) {

    StringBuffer endBuffer = new StringBuffer();
    String start = "";
    for(int i=0; i<word.length(); i++) {
      Character c = new Character(word.charAt(i));
      if(VOWELS.indexOf(c+"") >= 0) {
        start = word.substring(i);
        break;
      }
      endBuffer.append(c.charValue());
    }

    return start + "-" + endBuffer.toString() + "AY";
  }
}
